# ТОЛЬКО ДЛЯ ЗАГЛАВНЫХ АНГЛИЙСКИХ БУКВ (работа с ASCII - учитываем язык и регистр, т.к. символам соответствуют разные номера)

message=input("Введите сообщение: ") # Указываем сообщение
key=input("Введите ключ: ") # Указываем ключ
key*=len(message)//len(key)+1 # Подгоняем длину ключа под наше сообщение
code="" # Переменная с шифром
for i,j in enumerate(message): # enumerate - чтобы получить индексы и значения
    gg=(ord(j)+ord(key[i])) # Производим шифрование по формуле: буквы открытого текста + буквы ключа (их коды ASCII)
    code+=chr(gg%26+ord("A")) # Производим шифрование по формуле (26 - количество символов в англ.алфавите, А - его первая буква (используем везде заглавный регистр)), chr - преобразует номера обратно в символы)
print("Шифр: "+str(code)) # Выводим шифр

# Расшифровка аналогично (по обратной формуле)
code=input("Введите шифр: ")
key=input("Введите ключ: ")
key*=len(message)//len(key)+1
desc=""
for i,j in enumerate(code):
	gg=(ord(j)-ord(key[i]))
	desc+=chr(gg%26+ord("A"))
print("Зашифрованное сообщение: "+str(desc))